WfsTable (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.commons.beans

## Class WfsTable

- java.lang.Object
- - org.gcube.portlets.user.gisviewer.client.commons.beans.WfsTable

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class WfsTable
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable

  Author:
    ceras

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WfsTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRow(com.extjs.gxt.ui.client.data.BaseModel row)`
    `List<String>` | `getColumnNames()`
    `List<com.extjs.gxt.ui.client.data.BaseModel>` | `getRows()`
    `String` | `getTitle()`
    `boolean` | `isError()`
    `void` | `setError(boolean error)`
    `void` | `setRows(List<com.extjs.gxt.ui.client.data.BaseModel> rows)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WfsTable

          public WfsTable()

  - ### Method Detail

    - #### getTitle

          public String getTitle()

      Returns:
        the title

    - #### setTitle

          public void setTitle(String title)

      Parameters:
        `title` - the title to set

    - #### getRows

          public List<com.extjs.gxt.ui.client.data.BaseModel> getRows()

      Returns:
        the rows

    - #### setRows

          public void setRows(List<com.extjs.gxt.ui.client.data.BaseModel> rows)

      Parameters:
        `rows` - the rows to set

    - #### getColumnNames

          public List<String> getColumnNames()

      Returns:
        the columnNames

    - #### addRow

          public void addRow(com.extjs.gxt.ui.client.data.BaseModel row)

    - #### setError

          public void setError(boolean error)

      Parameters:
        `error` - the error to set

    - #### isError

          public boolean isError()

      Returns:
        the error

Copyright © 2014. All Rights Reserved.